//
//  Node.h
//  Tree
//
//  Created by Grassi, Dan on 8/14/12.
//  Copyright (c) 2012 Zaph, llc. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface Node : NSObject <NSFastEnumeration>
@property (assign, readonly, nonatomic) int        nodeID;
@property (assign, nonatomic)           int        level;
@property (assign, nonatomic)           int        location;
@property (assign, nonatomic)           int        width;
@property (assign, readonly, nonatomic) NSUInteger childCount;
@property (weak, nonatomic)             Node      *parent;
@property (strong, nonatomic)           NSString  *text;
@property (assign, nonatomic)           int        value;

+ (id)nodeWithText:(NSString *)text;

- (void)addChild:(Node *)child;
- (Node *)childAtIndex:(int)index;
- (Node *)lastChild;

@end
