//
//  TreeDataModel.h
//  Tree
//
//  Created by Grassi, Dan on 8/14/12.
//  Copyright (c) 2012 Zaph, llc. All rights reserved.
//

#import <Foundation/Foundation.h>

#import "Node.h"

@interface TreeDataModel : NSObject
@property (strong, nonatomic)           Node *topNode;
@property (assign, readonly, nonatomic) int   depth;

- (void)updateLevels;
- (void)updateLevels:(Node *)node;
- (void)reportLevelsforNode:(Node *)node;
- (Node *)findNodeID:(int)nodeID;
@end
